Skip to content

Return the details page object-hosted navigation and section layout.

GET
/api/workspace/admin/entity-definitions/{entityDefinitionId}/ui/details-surface/object-hosted-layout
curl --request GET \
--url https://example.com/api/workspace/admin/entity-definitions/example/ui/details-surface/object-hosted-layout
  • None
entityDefinitionId
required
string
surfaceKey
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Admin-facing object-hosted layout state for a single record surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
LayoutMode
integer format: int32
Allowed values: 0 1
Layout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
DefaultLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
AvailableBlocks

Blocks and binding paths currently available to add to this object-hosted layout.

Array<object>
nullable

Available block option for host-layout builders.

object
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
Key
string
nullable
Title
string
nullable
Description
string
nullable
Icon
string
nullable
Available
boolean
UnavailableReason
string
nullable
Paths
Array<object>
nullable

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Required
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"LayoutMode": 0,
"Layout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"DefaultLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"AvailableBlocks": [
{
"BlockKind": 0,
"StandardBlock": 0,
"Paths": [
{
"Steps": [
{
"Direction": 0
}
]
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Admin-facing object-hosted layout state for a single record surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
LayoutMode
integer format: int32
Allowed values: 0 1
Layout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
DefaultLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
AvailableBlocks

Blocks and binding paths currently available to add to this object-hosted layout.

Array<object>
nullable

Available block option for host-layout builders.

object
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
Key
string
nullable
Title
string
nullable
Description
string
nullable
Icon
string
nullable
Available
boolean
UnavailableReason
string
nullable
Paths
Array<object>
nullable

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Required
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"LayoutMode": 0,
"Layout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"DefaultLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"AvailableBlocks": [
{
"BlockKind": 0,
"StandardBlock": 0,
"Paths": [
{
"Steps": [
{
"Direction": 0
}
]
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Admin-facing object-hosted layout state for a single record surface.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime configured search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
LayoutMode
integer format: int32
Allowed values: 0 1
Layout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
DefaultLayout

Object-hosted layout for a single record details page or drawer.

object
Surface
integer format: int32
Allowed values: 0 1 2 3 4 5
Items
Array<object>
nullable

One entry in an object-hosted layout for a single record surface.

object
Id
string
nullable
ItemKind
integer format: int32
Allowed values: 0 1
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
BindingPath

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Settings
object
SettingsVersion
integer format: int32
Title
string
nullable
Subtitle
string
nullable
SortOrder
integer format: int32
Visible
boolean
CollapsedByDefault
boolean
AvailableBlocks

Blocks and binding paths currently available to add to this object-hosted layout.

Array<object>
nullable

Available block option for host-layout builders.

object
BlockKind
integer format: int32
Allowed values: 0 1 2
StandardBlock
integer format: int32
Allowed values: 0 1 2 3 4
ExtensionKey
string
nullable
Key
string
nullable
Title
string
nullable
Description
string
nullable
Icon
string
nullable
Available
boolean
UnavailableReason
string
nullable
Paths
Array<object>
nullable

Structured binding path for special host-layout blocks.

object
RootEntityDefinitionId
string
nullable
TargetEntityDefinitionId
string
nullable
Label
string
nullable
Steps
Array<object>
nullable

One reverse-reference hop used by a special host-layout block.

object
Direction
integer format: int32
Allowed values: 0 1
SourceEntityDefinitionId
string
nullable
SourceReferenceFieldId
string
nullable
SourceReferenceFieldKey
string
nullable
TargetEntityDefinitionId
string
nullable
SourceEntityDisplayNamePlural
string
nullable
SourceReferenceFieldDisplayName
string
nullable
TargetEntityDisplayNameSingular
string
nullable
Required
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"SurfaceType": 0,
"LayoutMode": 0,
"Layout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"DefaultLayout": {
"Surface": 0,
"Items": [
{
"ItemKind": 0,
"BlockKind": 0,
"StandardBlock": 0,
"BindingPath": {
"Steps": [
{
"Direction": 0
}
]
}
}
]
},
"AvailableBlocks": [
{
"BlockKind": 0,
"StandardBlock": 0,
"Paths": [
{
"Steps": [
{
"Direction": 0
}
]
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}